Holger's Java API

## com.antelmann.util.gui
Class DialogFilter<T>

    java.lang.Object
      com.antelmann.util.gui.DialogFilter<T>

All Implemented Interfaces:
  Filter<T>

    public class DialogFilter<T>

extends Object
implements Filter<T>

a special filter that will accept a given entry via dialog response

Since:
  04.11.2016, 20:01:08
Author:
  holger

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`DialogFilter(ValueRetriever<Component> parentRetriever)`

Method Summary
`boolean` `accept(T entry)` returns true only if the given entry is accepted by this filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogFilter

    public DialogFilter(ValueRetriever<Component> parentRetriever)

Method Detail

### accept

    public boolean accept(T entry)

  Description copied from interface: `Filter`
  returns true only if the given entry is accepted by this filter

  Specified by:
    `accept` in interface `Filter<T>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads